<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["ctr"]) {
    $ctr = $_REQUEST["ctr"];
    $hide = $_REQUEST["hide"];
    $prodtype = $_REQUEST["prodtype"];
    $hide_var = "";
    $par = $_REQUEST["par"];
    $tr = "";
    if($par != ""){
        $tr = "trqty";
    }

    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
    $mctr++;

    echo "<tr>";
    echo "<td><i class='fa fa-close remove' style=''></i></td>";
    echo "<td><input type='text' class='form-control form text-right srno' name='srno_$ctr' value='$mctr'>
              <input type='hidden' class='form-control form text-right purvouch' name='purvouch_$sctr' value='0'>
              <input type='hidden' class='form-control form text-right pursrno' name='pursrno_$sctr' value='0'></td>";
    echo "<td>";
    echo "<select class='form-control form item select2 fetchpart_$ctr' name='item_$ctr' style='width:100%'>";
    echo "<option value=''></option>";
    $gitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` order by name") or die(mysqli_error($conn));
    while ($item = mysqli_fetch_array($gitem)) {
        echo "<option value='$item[code]'>$item[name]</option>";
    }
    echo "</select>";
    echo "<input type='hidden' class='msp' name='msp_$ctr' value='0' >";
    echo "<input type='hidden' class='otprowsucs' name='otprowsucs_$ctr' value='0' >";
    echo "</td>";
    echo "<td>";
    echo "<select class='form-control form size select2 fetchpart_$ctr' name='size_$ctr' style='width:100%'>";
    echo "<option value=''></option>";
//    $gcolor = mysqli_query($conn, "SELECT `size` FROM `prodsize` where code ='$tran[itemcode]' order by size") or die(mysqli_error($conn));
//    while ($color = mysqli_fetch_array($gcolor)) {
//        echo "<option value='$color[size]'>$color[size]</option>";
//    }
    echo "</select>";
    echo "</td>";
//                                            echo "<td><input type='text' class='form-control form hsncode'                name='hsncode_$ctr'       value='$tran[hsncode]' tabindex='-1'></td>";
    echo "<td><input type='text' class='form-control form text-right $tr qty'      name='qty_$ctr'      value='0'></td>";
    echo "<input type='hidden' class='msp' name='msp_$ctr' >";
    echo "<input type='hidden' class='stqty' name='stqty_$ctr' >";
    echo "<input type='hidden' class='otpvalue' id='otpvalue_$ctr' name='otpvalue_$ctr' value='0'>";
    echo "</td>";

    echo "<td><input type='text' class='form-control form text-right rate'     name='rate_$ctr'     value='0' ></td>";
    echo "<td><input type='text' class='form-control form text-right amount'   name='amount_$ctr'   value='0' readonly>
              <input type='hidden' class='form-control form text-right mspamount'   name='mspamount_$ctr'   value='0' readonly>
              <input type='hidden' name='discperc_$ctr' class='discperc form-control text-right  form'  value='0' ></td>
              <input type='hidden' name='discamt_$ctr' class='discamt form-control text-right  form' tabindex='-1' value='0' readonly>
              <input type='hidden' name='subtot_$ctr' class='subtot form-control text-right  form' tabindex='-1' value='0' readonly>
              <input type='hidden' name='cgstrate_$ctr' class='cgstrate form-control text-right  form' tabindex='-1' value='0' readonly>
              <input type='hidden' name='cgstamt_$ctr' class='cgstamt form-control text-right  form' tabindex='-1' value='0' readonly>
              <input type='hidden' name='sgstrate_$ctr' class='sgstrate form-control text-right  form' tabindex='-1' value='0' readonly>
              <input type='hidden' name='sgstamt_$ctr' class='sgstamt form-control text-right  form' tabindex='-1' value='0' readonly>
              <input type='hidden' name='igstrate_$ctr' class='igstrate form-control text-right  form' tabindex='-1' value='0' readonly>
              <input type='hidden' name='igstamt_$ctr' class='igstamt form-control text-right  form' tabindex='-1' value='0' readonly>
              <input type='hidden' name='total_$ctr' class='total form-control text-right  form' tabindex='-1' value='0' readonly></td>";
    echo "</tr >";
    $ctr++;
} else {
    echo "ERROR";
}
?>
 